Ogre::D3D11VideoMode Class Reference

`#include <OgreD3D11VideoMode.h>`

List of all members.

## Public Member Functions

| D3D11VideoMode ()
| D3D11VideoMode (const D3D11VideoMode &ob)
| D3D11VideoMode (DXGI_OUTPUT_DESC d3ddm, DXGI_MODE_DESC ModeDesc)
| ~D3D11VideoMode ()
unsigned int | getWidth () const
unsigned int | getHeight () const
DXGI_FORMAT | getFormat () const
DXGI_RATIONAL | getRefreshRate () const
unsigned int | getColourDepth () const
DXGI_OUTPUT_DESC | getDisplayMode () const
DXGI_MODE_DESC | getModeDesc () const
void | increaseRefreshRate (DXGI_RATIONAL rr)
String | getDescription () const

## Private Attributes

DXGI_OUTPUT_DESC | mDisplayMode
DXGI_MODE_DESC | mModeDesc
unsigned int | modeNumber

## Detailed Description

Definition at line 37 of file OgreD3D11VideoMode.h.

## Constructor & Destructor Documentation

Ogre::D3D11VideoMode::D3D11VideoMode | ( |  | ) |

Ogre::D3D11VideoMode::D3D11VideoMode | ( | const D3D11VideoMode & | ob | ) |

Ogre::D3D11VideoMode::D3D11VideoMode | ( | DXGI_OUTPUT_DESC | d3ddm,
|  | DXGI_MODE_DESC | ModeDesc
| ) |  |

Ogre::D3D11VideoMode::~D3D11VideoMode | ( |  | ) |

## Member Function Documentation

unsigned int Ogre::D3D11VideoMode::getColourDepth | ( |  | ) | const

String Ogre::D3D11VideoMode::getDescription | ( |  | ) | const

DXGI_OUTPUT_DESC Ogre::D3D11VideoMode::getDisplayMode | ( |  | ) | const

DXGI_FORMAT Ogre::D3D11VideoMode::getFormat | ( |  | ) | const

unsigned int Ogre::D3D11VideoMode::getHeight | ( |  | ) | const

DXGI_MODE_DESC Ogre::D3D11VideoMode::getModeDesc | ( |  | ) | const

DXGI_RATIONAL Ogre::D3D11VideoMode::getRefreshRate | ( |  | ) | const

unsigned int Ogre::D3D11VideoMode::getWidth | ( |  | ) | const

void Ogre::D3D11VideoMode::increaseRefreshRate | ( | DXGI_RATIONAL | rr | ) |

## Member Data Documentation

DXGI_OUTPUT_DESC Ogre::D3D11VideoMode::mDisplayMode`[private]`

Definition at line 40 of file OgreD3D11VideoMode.h.

DXGI_MODE_DESC Ogre::D3D11VideoMode::mModeDesc`[private]`

Definition at line 41 of file OgreD3D11VideoMode.h.

unsigned int Ogre::D3D11VideoMode::modeNumber`[private]`

Definition at line 42 of file OgreD3D11VideoMode.h.

The documentation for this class was generated from the following file:

- OgreD3D11VideoMode.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:47